Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 929330

Summary: app-misc/geoclue: needs upgrade to Python 3.12 (PythonCompatUpdate)
Product: Gentoo Linux Reporter: Michał Górny <mgorny>
Component: Current packagesAssignee: Gentoo Linux Gnome Desktop Team <gnome>
Status: RESOLVED FIXED    
Severity: normal CC: igor.s.krivenko, jy6x2b32pie9, ms, ostroffjh, paolo.pedroni, thomas.bettler
Priority: Normal    
Version: unspecified   
Hardware: All   
OS: All   
Whiteboard:
Package list:
Runtime testing required: ---
Bug Depends on:    
Bug Blocks: 921826    

Description Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2024-04-13 08:30:24 UTC
This package does not support Python 3.12.  Please test it with Python 3.12 as a matter of urgency as the default will change in early June, as per message on gentoo-dev: https://www.mail-archive.com/gentoo-dev@lists.gentoo.org/msg99104.html.  Please check the information provided in the tracker.  Ask in #gentoo-python on IRC if need any help.
Comment 1 NHO 2024-06-02 16:06:30 UTC
Only python code is https://gitlab.freedesktop.org/geoclue/geoclue/-/blob/master/interface/create-unified-xml.py build-time script

Comparing python-3.11 and python-3.12 output tells me that they are identical.

Should be safe to bump python version.
Comment 2 Larry the Git Cow gentoo-dev 2024-06-11 17:02:42 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=94a275813caf9b3cebe43ae24e1d36af81796ac1

commit 94a275813caf9b3cebe43ae24e1d36af81796ac1
Author:     Andreas Sturmlechner <asturm@gentoo.org>
AuthorDate: 2024-06-11 17:00:20 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2024-06-11 17:02:24 +0000

    app-misc/geoclue: update DESCRIPTION
    
    Closes: https://bugs.gentoo.org/929330
    Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>

 app-misc/geoclue/geoclue-2.7.1.ebuild | 9 ++++-----
 1 file changed, 4 insertions(+), 5 deletions(-)